NCVVectorReuse< T > Class Template Reference

NCVVectorReuse. More...

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCV.hpp>`

Inheritance diagram for NCVVectorReuse< T >:

## Public Member Functions

| NCVVectorReuse (const NCVMemSegment &memSegment)
| NCVVectorReuse (const NCVMemSegment &memSegment, Ncv32u length)
NcvBool | isMemReused () const
Public Member Functions inherited from NCVVector< T >
| NCVVector ()
virtual | ~NCVVector ()
void | clear ()
NCVStatus | copySolid (NCVVector< T > &dst, cudaStream_t cuStream, size_t howMuch=0) const
T * | ptr () const
size_t | length () const
NCVMemoryType | memType () const

## Additional Inherited Members

Protected Attributes inherited from NCVVector< T >
T * | _ptr
size_t | _length
NCVMemoryType | _memtype

## Detailed Description

### template<class T>
class NCVVectorReuse< T >

NCVVectorReuse.

Definition at line 646 of file NCV.hpp.

## Constructor & Destructor Documentation

## NCVVectorReuse() [1/2]

template<class T >

NCVVectorReuse< T >::NCVVectorReuse | ( | const NCVMemSegment & | memSegment | ) |

inline explicit

Definition at line 653 of file NCV.hpp.

References NCVMemSegment::begin, NCVMemPtr::memtype, NCVMemPtr::ptr, and NCVMemSegment::size.

## NCVVectorReuse() [2/2]

template<class T >

NCVVectorReuse< T >::NCVVectorReuse | ( | const NCVMemSegment & | memSegment,
|  | Ncv32u | length
| ) |  |

inline

Definition at line 665 of file NCV.hpp.

References NCVMemSegment::begin, NCVMemPtr::memtype, NCVMemPtr::ptr, and NCVMemSegment::size.

## Member Function Documentation

## isMemReused()

template<class T >

NcvBool NCVVectorReuse< T >::isMemReused | ( |  | ) | const

inline

Definition at line 680 of file NCV.hpp.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCV.hpp